#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0xd6dfae27, "module_layout" },
	{ 0xf945f97, "param_ops_int" },
	{ 0xeb8a2a85, "v4l2_event_unsubscribe" },
	{ 0xe8fa3f5c, "v4l2_ctrl_subscribe_event" },
	{ 0x7b8ec531, "v4l2_ctrl_log_status" },
	{ 0xdddde458, "video_ioctl2" },
	{ 0xd859aacc, "usb_deregister" },
	{ 0xd6a20ee4, "usb_register_driver" },
	{ 0x301a1144, "__video_register_device" },
	{ 0xd22dbf19, "videobuf_queue_vmalloc_init" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xbc584bec, "video_device_release_empty" },
	{ 0x5f754e5a, "memset" },
	{ 0xe346f67a, "__mutex_init" },
	{ 0x9d225d3, "v4l2_ctrl_new_std" },
	{ 0x5ced38a3, "v4l2_ctrl_handler_init_class" },
	{ 0x6fbb6fa2, "v4l2_device_register" },
	{ 0xdda8af16, "kmem_cache_alloc_trace" },
	{ 0xddc6ebe6, "kmalloc_caches" },
	{ 0x444a664, "videobuf_read_one" },
	{ 0x91bade3c, "videobuf_streamon" },
	{ 0xffeeed7c, "v4l2_ctrl_handler_setup" },
	{ 0x1781a1fa, "videobuf_queue_is_busy" },
	{ 0x5ed67412, "v4l2_fh_release" },
	{ 0x98789acc, "usb_control_msg" },
	{ 0xb1b939e, "kmemdup" },
	{ 0x2a23a41f, "videobuf_iolock" },
	{ 0x4e3da329, "videobuf_vmalloc_free" },
	{ 0xa1a73839, "v4l2_device_unregister" },
	{ 0x32d51447, "v4l2_ctrl_handler_free" },
	{ 0x7afabe7b, "videobuf_mmap_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0xb7e31f3b, "videobuf_mmap_mapper" },
	{ 0xc6c5e2d9, "videobuf_poll_stream" },
	{ 0x63965b49, "v4l2_ctrl_poll" },
	{ 0x8e865d3c, "arm_delay_ops" },
	{ 0xd2577541, "v4l2_fh_open" },
	{ 0x3375510b, "mutex_lock_interruptible" },
	{ 0x75facb92, "videobuf_reqbufs" },
	{ 0x675a0a15, "videobuf_querybuf" },
	{ 0x357f6cef, "videobuf_qbuf" },
	{ 0x6af0784d, "videobuf_dqbuf" },
	{ 0x220b9252, "videobuf_streamoff" },
	{ 0x4cb58298, "video_devdata" },
	{ 0xeea0399, "strscpy" },
	{ 0x51687374, "v4l2_device_put" },
	{ 0x67ea780, "mutex_unlock" },
	{ 0x1cab2c64, "v4l2_device_disconnect" },
	{ 0x2366b929, "video_unregister_device" },
	{ 0xc271c3be, "mutex_lock" },
	{ 0xf563cb85, "usb_kill_urb" },
	{ 0x4a1cea5a, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x39a12ca7, "_raw_spin_unlock_irqrestore" },
	{ 0x3dcf1ffa, "__wake_up" },
	{ 0x950fd9c0, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5f849a69, "_raw_spin_lock_irqsave" },
	{ 0xa746e27f, "_dev_err" },
	{ 0x9d669763, "memcpy" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x9098bb84, "usb_free_urb" },
	{ 0xc1e878bc, "usb_submit_urb" },
	{ 0xba20c26e, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0xb1ad28e0, "__gnu_mcount_nc" },
	{ 0xe707d823, "__aeabi_uidiv" },
};

MODULE_INFO(depends, "videodev,usbcore,videobuf-vmalloc,videobuf-core");

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8143AC2168CBF59B22493E9");
